﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class MyPlayerScript : MonoBehaviour {

    //Intervalo entre um tiro e outro
    private float shootingRate = 0.1f;
    //Controle
    private float shootCoolDown = 0f;
    //Posição inicial do tiro
    public Transform spawnBullet;
    //Bala
    public GameObject bullet1;
    public GameObject bullet2;

	public AudioSource somDePulo;


    //Mandando Bala !


    // Use this for initialization
    void Start () {
		
	}
	
	// Update is called once per frame
	void Update () {
        if (shootCoolDown > 0)
            shootCoolDown -= Time.deltaTime;

        if (Input.GetKey("right"))
        {
            FireRocket();
            shootCoolDown = shootingRate;
        }

        if (Input.GetKey("down"))
        {
            FireHeart();
            shootCoolDown = shootingRate;
        }

		if (Input.GetKey("space"))
		{
			//FireHeart();
			//shootCoolDown = shootingRate;
			GetComponent<AudioSource>().Play();
			//somDePulo.Play ();
		}


    }

    public void FireRocket()
    {

        if (shootCoolDown <= 0f)
        {
            if (bullet1 != null)
            {
                var cloneBullet = Instantiate(bullet1, gameObject.transform.position, Quaternion.identity) as GameObject;
                cloneBullet.transform.localScale = this.transform.localScale;
            }
        }

    }

    public void FireHeart()
    {
		
        if (shootCoolDown <= 0f)
        {
            if (bullet2 != null)
            {
                var cloneBullet = Instantiate(bullet2, spawnBullet.position, Quaternion.identity) as GameObject;
                cloneBullet.transform.localScale = this.transform.localScale;
            }
        }

    }

}
